API reference
Invoices
NQD API Invoices reference. List invoices; Retrieve invoice; Create invoices
GET
List invoices /v1/invoicesGET
Retrieve invoice /v1/invoices/{invoiceId}POST
Create invoices /v1/invoicesPUT
Upsert invoice /v1/invoices/{invoiceId}DELETE
Delete invoice /v1/invoices/{invoiceId}PUT
Upsert invoices in a batch /v1/invoicesGET
List applied entries for an invoice /v1/invoices/{invoiceId}/entriesPOST
Add applied entry to an invoice /v1/invoices/{invoiceId}/entriesPATCH
Partially update applied entry on an invoice /v1/invoices/{invoiceId}/entries/{entryId}DELETE
Remove applied entry from an invoice /v1/invoices/{invoiceId}/entries/{entryId}PUT
Reorder applied entries for an invoice /v1/invoices/{invoiceId}/entries/reorderGET
List applied modifiers for an invoice /v1/invoices/{invoiceId}/modifiersPOST
Add applied modifier to an invoice /v1/invoices/{invoiceId}/modifiersPATCH
Partially update applied modifier on an invoice /v1/invoices/{invoiceId}/modifiers/{modifierId}DELETE
Remove applied modifier from an invoice /v1/invoices/{invoiceId}/modifiers/{modifierId}PUT
Reorder applied modifiers for an invoice /v1/invoices/{invoiceId}/modifiers/reorderGET
List transactions /v1/invoices/{sourceId}/transactionsPOST
Record a payment /v1/invoices/{sourceId}/transactionsEvery operation uses the same Core contract as the dashboard. Request and response fields, examples, and code samples are generated from the current API descriptor.